/* Reset CSS */

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

html,
body {
    height: 100%;
}

body {
    line-height: 1;
    font-family: "Noto Sans JP", 'sans-serif';
}

input:-webkit-autofill,
input:-webkit-autofill:hover,
input:-webkit-autofill:focus,
input:-webkit-autofill:active {
    -webkit-box-shadow: 0 0 0 30px white inset !important;
}

a {
    text-decoration: none !important;
    color: inherit;
}

button {
    border: none;
}

img {
    max-width: 100%;
    height: auto;
}

p {
    padding-left: 0;
    margin-bottom: 0;
}

ul {
    padding-left: 0;
    margin-bottom: 0;
}

textarea {
    resize: none !important;
}

input[type="number"]::-webkit-inner-spin-button,
input[type="number"]::-webkit-outer-spin-button {
    -webkit-appearance: none;
    margin: 0;
}

/* FONT */

@font-face {
    font-family: "Noto Sans JP";
    src: url("../../assets/fonts/NotoSansJP-Black.ttf") format("truetype");
    font-weight: 900;
    font-style: normal;
}

@font-face {
    font-family: "Noto Sans JP";
    src: url("../../assets/fonts/NotoSansJP-Bold.ttf") format("truetype");
    font-weight: 700;
    font-style: normal;
}

@font-face {
    font-family: "Noto Sans JP";
    src: url("../../assets/fonts/NotoSansJP-ExtraBold.ttf") format("truetype");
    font-weight: 800;
    font-style: normal;
}

@font-face {
    font-family: "Noto Sans JP";
    src: url("../../assets/fonts/NotoSansJP-Light.ttf") format("truetype");
    font-weight: 300;
    font-style: normal;
}

@font-face {
    font-family: "Noto Sans JP";
    src: url("../../assets/fonts/NotoSansJP-Medium.ttf") format("truetype");
    font-weight: 500;
    font-style: normal;
}

@font-face {
    font-family: "Noto Sans JP";
    src: url("../../assets/fonts/NotoSansJP-Regular.ttf") format("truetype");
    font-weight: 400;
    font-style: normal;
}

@font-face {
    font-family: "Noto Sans JP";
    src: url("../../assets/fonts/NotoSansJP-SemiBold.ttf") format("truetype");
    font-weight: 600;
    font-style: normal;
}

@font-face {
    font-family: "Noto Sans JP";
    src: url("../../assets/fonts/NotoSansJP-Thin.ttf") format("truetype");
    font-weight: 100;
    font-style: normal;
}

/*  */
.custom-cover-image {
    object-fit: cover;
    object-position: top;
}
.admin-home {
    display: flex;
    min-width: 1280px;
    /* overflow-x: scroll; */
}

.admin-navbar {
    width: 171px;
    min-height: 100vh;
    background-color: #000000;
    padding-top: 42px;
}

.admin-container {
    flex-grow: 1;
    flex-shrink: 1;
    flex-basis: 0;
    padding-top: 61px;
    padding-left: 10px;
    height: 100vh;
    overflow-y: scroll;
    background-color: #f9fafe;
    min-width: 1109px;
}

.logo-box {
    width: 100%;
    padding-left: 13.37px;
    padding-right: 15px;
}

.logo-image {
    object-fit: cover;
}

.navbar-container {
    width: 100%;
    margin-top: 49px;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    height: calc(100% - 125px);
}

.navbar-btn {
    display: flex;
    align-items: center;
    padding-left: 22px;
    width: 162px;
    height: 38px;
    font-weight: 600;
    font-size: 14px;
    line-height: 21px;
    background-color: #000000;
    color: white;
    border: none;
    cursor: pointer;
}

.navbar-btn:hover {
    background-color: #242424;
    box-shadow: 0 4px 4px rgba(255, 255, 255, 0.25);
}
.navbar-btn-custom {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 162px;
    height: 38px;
    font-weight: 600;
    font-size: 14px;
    line-height: 21px;
    background-color: #000000;
    color: white;
    border: none;
    cursor: pointer;
}

.navbar-btn-custom:hover {
    background-color: #242424;
    box-shadow: 0 4px 4px rgba(255, 255, 255, 0.25);
}
.container-navbar {
    width: 100%;
    max-width: 850px;
    padding-left: 4px;
    border-width: 0px 0px 4px 0px;
    border-style: solid;
    border-color: #414141;
    height: 39px;
    display: flex;
    column-gap: 2px;
    box-shadow: 0 4px 0px rgba(0, 0, 0, 0.15);
}

.container-navbar-auth {
    width: 100%;
    padding-left: 4px;
    border-width: 0px 0px 4px 0px;
    border-style: solid;
    border-color: #414141;
    height: 39px;
    display: flex;
    column-gap: 2px;
    box-shadow: 0 4px 0px rgba(0, 0, 0, 0.15);
}

.container-navbar-btn {
    width: 161px;
    height: 36px;
    cursor: pointer;

    color: #aaaaaa;
    border-radius: 3px 3px 0 0;

    border-width: 3px 3px 0px 3px;
    border-style: solid;
    border-color: #414141;

    font-weight: 600;
    font-size: 14px;
    line-height: 14px;
    background-color: #cdcdcd;
}

.container-navbar-btn:hover {
    background-color: #5589d4;
    color: #fff;
}

.container-navbar-btn.selected {
    background-color: #5589d4;
    color: white;
    position: relative;
    height: 39px;
    box-shadow: 0 4px 4px rgba(0, 0, 0, 0.25);
}

.container-information {
    width: 100%;
    padding-bottom: 33px;
    border-width: 1px;
    border-style: solid;
    border-color: #cbcbcb;

    background-color: #e7eefa;

    border-radius: 3px 3px 0px 0px;

    box-shadow: 0 4px 4px rgba(0, 0, 0, 0.25);
}

.information-header {
    border-style: solid;

    height: 50px;

    border-width: 0px 0px 1px 0px;
    border-color: #cbcbcb;
    padding-left: 13px;
    display: flex;
}

.information-title {
    width: 237px;
    height: 100%;
    color: #000000;
    font-weight: 600;
    font-size: 14px;
    line-height: 14px;
    display: flex;
    align-items: center;
}

.information-content {
    flex-grow: 1;
    display: flex;
    align-items: center;
    column-gap: 13px;
}

.information-content-link {
    text-decoration: underline;
    color: #2f80ed;
    font-weight: 200;
    line-height: 14px;
    font-size: 14px;
}

.information-container-box {
    display: flex;
    padding-left: 18px;
}

.information-title-item {
    width: 237px;
    height: 30px;
    color: #000000;
    font-weight: 500;
    font-size: 14px;
    line-height: 14px;
    display: flex;
    align-items: center;
}

.upload-button {
    text-align: center;
    padding-top: 8px;
    width: 206px;
    height: 30px;
    border-radius: 3px;
    border-style: solid;
    border-width: 1px;
    border-color: #767676;
    cursor: pointer;
    box-shadow: 0 4px 4px rgba(0, 0, 0, 0.25);
    color: white;
    font-weight: 500;
    line-height: 14px;
    font-size: 14px;
    background-color: #2f80ed;
}

.upload-button:hover {
    opacity: 0.8;
}

.information-btn {
    width: 206px;
    height: 30px;
    border-radius: 3px;
    border-style: solid;
    border-width: 1px;
    border-color: #767676;
    cursor: pointer;
    box-shadow: 0 4px 4px rgba(0, 0, 0, 0.25);
    color: white;
    font-weight: 500;
    line-height: 14px;
    font-size: 14px;
    background-color: #2f80ed;
}

.information-btn:hover {
    opacity: 0.8;
}

.information-content-image {
    height: 100%;
}

.information-image-upload {
    width: 50px;
    height: 30px;
    font-size: 14px;
}

.information-content-input {
    width: 381px;
    height: 30px;
    border-radius: 3px;
    border: 1.5px solid #cbcbcb;
    padding: 7px 6px;
    outline: none;
    color: #000000;
    font-weight: 500;
    font-size: 16px;
    line-height: 16px;
}

.information-content-area {
    width: 381px;
    height: 56px;
    border-radius: 3px;
    border: 1.5px solid #cbcbcb;
    padding: 7px 6px;
    outline: none;
}

.disabled {
    pointer-events: none;
    background-color: #bfbfbf !important;
}

.disabled input {
    pointer-events: none;
    background-color: #bfbfbf !important;
}

input:disabled {
    background-color: #bfbfbf !important;
}

.information-content-btn-custom {
    padding: 8px 14.2px;
    border-radius: 3px;
    border-style: solid;
    border-width: 1px;
    border-color: #767676;
    cursor: pointer;
    box-shadow: 0 4px 4px rgba(0, 0, 0, 0.25);
    color: white;
    font-weight: 500;
    line-height: 14px;
    font-size: 16px;
    background-color: #2f80ed;
}

.information-content-btn-custom:hover {
    opacity: 0.8;
}

.information-content-input-custom {
    flex-grow: 1;
    padding: 7px 16px 7px 6px;
    outline: none;
    border: none;
    font-weight: 500;
    font-size: 16px;
    line-height: 16px;
}

.calendar-input {
    padding: 1px 6px;
    outline: none;
    font-weight: 500;
    font-size: 16px;
    line-height: 16px;
    border-radius: 6px;
    width: 145px;
}

.box-input-icon {
    display: flex;
    width: 381px;
    background-color: white;
    height: 30px;
    border-radius: 3px;
    border: 1.5px solid #cbcbcb;
    position: relative;
}

.image-icon-input {
    position: absolute;
    top: 0;
    right: 0;
    width: 30px;
    height: 30px;
}

/* Custom select */
.custom-select-box {
    position: relative;
    display: inline-block;
    height: 100%;
}

.custom-select {
    padding: 5px 10px;
    border: 1px solid #dddddd;
    cursor: pointer;
    display: flex;
    column-gap: 8px;
    background-color: white;
    border-radius: 4px;
    justify-content: space-between;
    align-items: center;
    width: 100%;
    height: 100%;
}

.custom-options {
    position: absolute;
    display: none;
    border: 1px solid #ccc;
    background-color: #fff;
    width: 100%;
    max-height: 150px;
    overflow-y: auto;
    z-index: 3;
}

.select-active {
    background-color: #3362b6 !important;
    color: #fff;
}

.custom-option {
    padding: 10px;
    cursor: pointer;
}

.custom-option:hover {
    background-color: #f2f2f2;
}

.custom-options.open {
    display: block;
}

.custom-title {
    font-weight: 400 !important;
    font-size: 16px !important;
    line-height: 19px !important;
    color: #000000 !important;
}

.custom-select.open .icon-arrow-down {
    transform: rotate(180deg);
}

/* Desired area */

.information-content-area-add {
    flex-grow: 1;
    height: 137px;
    padding: 7px 6px;
    outline: none;
    border: none;
    width: 490px;
}

.information-content-box-area {
    display: flex;
    background-color: white;
    border-radius: 3px;
    border: 1.5px solid #cbcbcb;
    width: 584px;
    padding: 7px 6px;
}

.information-box-icon-add {
    width: 16px;
    height: 16px;
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: black;
    color: white;
    border-radius: 2px;
    margin-top: 20px;
    margin-right: 10px;
}

.information-underline {
    margin-top: 46px;
    border-width: 0px 0px 1px 0px;
    border-style: solid;
    border-color: #cbcbcb;
}

.information-btn-box {
    display: flex;
    align-items: center;
    column-gap: 13px;
}

.information-toggle-box {
    display: flex;
    column-gap: 21px;
    margin-top: 8px;
    align-items: center;
}

.information-toggle-box-switch {
    position: relative;
    display: inline-block;
    width: 51px;
    height: 31px;
}

.information-toggle-box-switch input {
    opacity: 0;
    width: 0;
    height: 0;
}

.toggle-slider {
    position: absolute;
    cursor: pointer;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: #ccc;
    -webkit-transition: 0.4s;
    transition: 0.4s;
}

.toggle-slider:before {
    position: absolute;
    content: "";
    height: 24px;
    width: 24px;
    left: 4px;
    bottom: 4px;
    background-color: white;
    -webkit-transition: 0.4s;
    transition: 0.4s;
}

input:checked + .toggle-slider {
    background-color: #2f80ed;
}

input:focus + .toggle-slider {
    box-shadow: 0 0 1px #2f80ed;
}

input:checked + .toggle-slider:before {
    -webkit-transform: translateX(26px);
    -ms-transform: translateX(26px);
    transform: translateX(22px);
}

.custom-div-icon-add {
    background-color: black;
    position: absolute;
    color: white;
    top: 10px;
    right: 10px;
    width: 18px;
    height: 18px;
    display: flex;
    justify-content: center;
    align-items: center;
    cursor: pointer;
}

.custom-div-icon-add:hover {
    opacity: 0.7;
}

/* Rounded toggle-sliders */
.toggle-slider.round {
    border-radius: 34px;
}

.toggle-slider.round:before {
    border-radius: 50%;
}

.information-image-upload-thumbnail {
    width: 81px;
    height: 40px;
}

.toggle-box-text {
    height: 100%;
    justify-content: center;
    align-items: center;
    color: #000000;
    font-weight: 500;
    font-style: 14px;
    line-height: 14px;
}

.information-title-item-custom {
    width: 237px;
    height: 80px;
    color: #000000;
    font-weight: 500;
    font-size: 14px;
    line-height: 14px;
    display: flex;
    align-items: center;
}

.submit-information {
    display: flex;
    margin-top: 21px;
    justify-content: center;
    padding-bottom: 42px;
}

.admin-container-box {
    display: flex;
    column-gap: 12px;
    margin-top: 33px;
    padding-bottom: 31px;
}

.admin-container-preview {
    background-color: #272727;
    width: 320px;
}

.admin-container-form {
    flex-grow: 1;
}

/* Preview */
.admin-preview-container {
    margin-top: 50px;
    border-width: 0.1px 0px 0px 0px;
    border-style: solid;
    border-color: #cbcbcb;
}

.preview-title-box {
    width: 100%;
    background-color: #000000;
    padding-top: 8px;
}

.preview-title {
    border: 1px solid #cbcbcb;
    box-shadow: 0 4px 4px rgba(255, 255, 255, 0.25);
    display: flex;
    align-items: center;
    justify-content: center;
    color: white;
    font-size: 14px;
    line-height: 14px;
    font-weight: 600;
    width: 100%;
    height: 30px;
    background-color: #353535;
}

.preview-box-information {
    width: 100%;
    background-color: #242424;
    margin-top: 20px;
}

.preview-box-image {
    padding: 0px 15px 0;
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
}

.preview-image-avatar {
    width: 100%;
    height: 170px;
}

.triangle {
    position: absolute;
    width: 0;
    height: 0;
    border-left: 45px solid transparent;
    border-right: 45px solid transparent;
    border-bottom: 45px solid #ceaa5b;
    top: -7px;
    left: -14px;
    transform: rotate(315deg);
}

.triangle-text {
    font-size: 16px;
    font-weight: 700;
    position: absolute;
    top: 11px;
    left: 17px;
    transform: rotate(317deg);
}
.preview-box-logo {
    width: 80px;
    height: 30px;
    background-color: white;
}

.preview-box-logo {
    width: 60px;
    height: 20px;
    position: absolute;
    bottom: 10px;
    right: 15px;
}

.preview-box-information-title {
    background-color: #fff;
    color: #000000;
    font-size: 14px;
    margin: 20px 16px 0;
    line-height: 20px;
    margin-top: 12px;
    padding: 6px 0 0 6px;
    overflow-wrap: break-word;
}

.preview-box-information-detail {
    min-height: 90px;
    background-color: #fff;
    margin: 8px 16px 0;
    padding: 3px;
    box-shadow: 0px 4px 4px 0px #ffffff4d;
}

.preview-box-information-detail div {
    display: flex;
    gap: 8px;
}

.preview-box-information-detail div p {
    font-size: 11px;
    font-weight: 400;
    line-height: 20px;
}

.preview-box-information-detail-note {
    font-weight: 600;
    font-size: 11px;
    line-height: 20px;
}

.preview-box-information-detail-expires {
    font-weight: 600;
    font-size: 11px;
    line-height: 20px;
    color: #2f80ed;
}

.preview-box-information-price {
    font-weight: 800;
    font-size: 14px;
    line-height: 20px;
    color: #000000;
    justify-content: start !important;
    gap: 16px !important;
}

.preview-price-box {
    color: #e01111;
    box-shadow: 0px 4px 4px 0px #00000040;
}

.preview-box-btn button {
    font-weight: 600;
    font-size: 8px;
    padding: 4px 8px;
    border-radius: 3px;
    border: 1px solid #767676;
    box-shadow: 0px 4px 4px 0px #00000040;
    color: white;
    cursor: unset;
}

.preview-btn-red {
    background-color: #e01111;
}

.preview-btn-primary {
    background-color: #2f80ed;
    max-width: 80px;
    overflow: hidden;
    white-space: nowrap;
    text-overflow: ellipsis;
}
.preview-btn-link {
    color: #2f80ed;
    font-size: 10px;
    font-weight: 250;
    line-height: 20px;
    margin-left: 4px;
    border: 1px solid #cbcbcb;
    padding: 2px 4px;
    cursor: unset;
    box-shadow: 0px 4px 4px 0px #00000040;
}

.preview-underline {
    border-bottom: 1px solid #cbcbcb;
    margin: 8px 16px 0;
}

.preview-note-box-all {
    margin: 16px;
    padding: 10px;
    border-radius: 12px;
    border: 3px solid white;
    color: white;
    font-size: 12px;
    font-weight: 300;
    line-height: 17px;
    background-color: #000000;
}

.suggestion {
    color: #ceaa5b;
    font-size: 15px;
    line-height: 22px;
    font-weight: 600;
    box-shadow: 0 4px 4px rgba(255, 255, 255, 0.25);
    margin-bottom: 8px;
    width: fit-content;
    background-color: #161616;
}

.preview-note-more h3 {
    font-weight: 900;
    font-size: 15px;
}

.preview-note-more {
    background-color: #fff;
    margin: 16px;
    padding: 10px;
    border-radius: 15px;
    border: 2px solid #ceaa5b;
    font-size: 12px;
    font-weight: 300;
    line-height: 17px;
}

.preview-note-more p {
    font-weight: 400;
    font-size: 13px;
}

.preview-note-link {
    color: #2f80ed;
    font-size: 13px;
    font-weight: 600;
    display: flex;
    justify-content: center;
}

.preview-note-link {
    text-decoration: underline;
}
.preview-organization-box {
    bottom: 5px;
    left: 30px;
    font-size: 10px;
    font-weight: 250;
    line-height: 15px;
    color: white;
}
.preview-organizer-name-custom {
    font-size: 17px;
    font-weight: 600;
    line-height: 26px;
    color: #fafcff;
}
.preview-relative-text{
    position: absolute;
    display: flex;
    flex-direction: column;
    gap: 2px;
    bottom: 15px;
    left: 35px;
}
.auction-detail-box {
    border-radius: 15px;
    border: 2px solid #ceaa5b;
    box-shadow: 0px 4px 4px 0px rgba(0, 0, 0, 0.25);
    padding: 9px 0;
    font-family: "Noto Sans JP";
    background-color: #fff;
    margin: 8px 16px 0;
}

.auction-detail-title {
    font-weight: 900;
    font-size: 14px;
    line-height: 20px;
    color: #000000;
    padding-left: 4px;
    border-left: 5px solid #ceaa5b;
    word-break: break-word;
}

.auction-detail-item {
    margin: 0 10px 0 10px;
    border-bottom: 2px solid #cbcbcb;
    display: flex;
    column-gap: 18px;
    padding: 10px 0;
}

.last-title{
    color: #E01111;
    font-weight: 700;
    /*font-family: "Noto Sans JP";*/
    line-height: 18px;
    text-decoration: underline;
}

.auction-detail-header {
    font-weight: 700;
    font-size: 10px;
    line-height: 15px;
    color: #000000;
    padding-left: 5px;
    width: 104px;
}

.auction-detail-content {
    flex-grow: 1;
    max-width: 144px;
}

.auction-detail-content-link {
    color: #2f80ed;
    font-weight: 400;
    font-size: 13px;
    line-height: 18px;
    text-decoration: none;
    overflow-wrap: break-word;
}

.auction-detail-content-text {
    font-weight: 700;
    font-size: 10px;
    line-height: 15px;
}

.auction-detail-content-link {
    color: #2f80ed;
    text-decoration: underline !important;
    box-shadow: 0px 4px 4px 0px #ffffff59;
    font-size: 10px;
    line-height: 18px;
}
.auction-detail-content ul {
    font-size: 10px;
    box-shadow: 0px 4px 4px 0px #ffffff59;
    font-weight: 300;
    line-height: 10px;
    padding-left: 16px;
}
.auction-detail-content ul li:not(:first-child) {
    margin-top: 8px;
}
.auction-detail-content ul p {
    color: #e01111;
    box-shadow: 0px 4px 4px 0px #ffffff59;
    font-size: 10px;
    font-weight: 400;
    margin-top: 8px;
}

.auction-detail-content-text-custom {
    font-weight: 400;
    font-size: 10px;
    line-height: 18px;
}

.auction-detail-description-preview {
    font-size: 10px;
    line-height: 15px;
    font-weight: 300;
    box-shadow: 0px 4px 4px 0px #ffffff59;
    margin: 16px 10px 0;
}
.auction-detail-content-text-preview {
    font-weight: 300;
    font-size: 10px;
    line-height: 15px;
}

.auction-detail-content-text-amount {
    color: #e01111;
    font-weight: 700;
    font-size: 13px;
    line-height: 18px;
}
.auction-detail-preview-link {
    color: #e01111;
    font-size: 10px;
    font-weight: 700;
    text-decoration: underline !important;
    margin: 10px;
}
.preview-thumb-box {
    background-color: #000000;
    padding-top: 56px;
}

.preview-box-thumb-box {
    background-color: #fff;
    margin: 0 16px;
    padding: 4px;
}

.preview-box-thumb-title {
    color: #000000;
    font-size: 10px;
    font-weight: 600;
    text-decoration: underline;
    line-height: 15px;
}

.preview-box-thumb-note {
    color: #2f80ed;
    font-size: 8px;
    line-height: 11px;
    width: fit-content;
    box-shadow: 0px 4px 4px 0px #00000040;
    margin: 4px 0;
}

.preview-box-thumb-note-text {
    font-size: 8px;
    font-weight: 250;
    box-shadow: 0px 4px 4px 0px #ffffff59;
    line-height: 11px;
}

.admin-container-box.submit-success {
    display: none;
}

.container-navbar.submit-success {
    max-width: 100%;
}

.navbar-btn:hover {
    color: #0a58ca;
}

/* Toast success */
.admin-toast-add-sucess {
    width: 100%;
    background-color: #e7eefa;
    box-shadow: 0px 4px 4px 0px rgba(0, 0, 0, 0.25);
    margin-top: 42px;
    padding-bottom: 50px;
}

.admin-toast-add-box-image {
    position: relative;
    width: 100%;
    height: 150px;
}

.admin-toast-add-image {
    height: 100%;
    width: 100%;
}

.admin-toast-add-icon-close {
    position: absolute;
    left: 8px;
    top: 9px;
    cursor: pointer;
}

.admin-toast-add-icon-close:hover {
    opacity: 0.7;
}

.admin-toast-add-title-box {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    margin-top: 33px;
    color: #000000;
}

.admin-toast-add-title {
    font-weight: 300;
    font-size: 28px;
    line-height: 32px;
    font-family: "Noto Sans JP";
    max-width: 750px;
}

.admin-toast-title-icon {
    margin-top: 17px;
}

.admin-toast-add-text {
    font-weight: 700;
    font-size: 17px;
    line-height: 40px;
    margin-top: 5px;
}

.admin-toast-add-time {
    font-weight: 400;
    font-size: 13px;
    line-height: 17px;
    color: #484848;
    font-family: "Noto Sans JP";
    display: flex;
    border-width: 0 0 1px 0;
    border-style: solid;
    border-color: #484848;
}

.admin-toast-add-time-title {
    width: 100px;
}

.admin-toast-logo {
    margin-top: 38px;
}

/* Auth */
.auth-title {
    font-size: 28px;
    line-height: 32px;
    font-weight: 300;
    text-align: center;
    margin-top: 41px;
}

.auth-form {
    display: flex;
    flex-direction: column;
    align-items: center;
    margin-top: 44px;
}

.auth-form-box {
    width: 521px;
    display: flex;
}

.auth-form-title {
    font-weight: 600;
    font-size: 14px;
    width: 140px;
    height: 30px;
    align-items: center;
}

.auth-form-content {
    width: 381px;
}

.auth-form-content input {
    height: 30px;
    border: 2px solid #cbcbcb;
    width: 100%;
    outline: none;
    padding: 0 6px;
    border-radius: 3px;
}

.input-password::placeholder {
    font-size: 14px;
    height: 30px;
}

.form-btn {
    width: 211px;
    height: 30px;
    border-radius: 3px;
    background-color: #2f80ed;
    display: flex;
    align-items: center;
    justify-content: center;
    color: white;
    font-weight: 500;
    font-size: 14px;
    margin-top: 42px;
}

.form-btn:hover {
    opacity: 0.7;
}

::-webkit-scrollbar {
    width: 6px;
}

::-webkit-scrollbar-thumb {
    background-color: rgba(0, 0, 0, 0.5);
    border-radius: 3px;
}

::-webkit-scrollbar-thumb:hover {
    background-color: rgba(0, 0, 0, 0.7);
}

::-webkit-scrollbar-track {
    background: transparent;
}

table {
    border-collapse: collapse;
    border-spacing: 0;
}
.mx-5px {
    margin-left: 5px !important;
    margin-right: 5px !important;
}

.mt-4px {
    margin-top: 4px !important;
}

.mt-6px {
    margin-top: 6px;
}

.mt-8px {
    margin-top: 8px;
}

.mt-12px {
    margin-top: 12px;
}

.mt-16px {
    margin-top: 16px;
}

.mt-20px {
    margin-top: 20px;
}

.mt-6 {
    margin-top: 24px;
}

.mt-8 {
    margin-top: 32px;
}

.mt-10 {
    margin-top: 40px;
}

.mt-30 {
    margin-top: 120px;
}

.mt-3px {
    margin-top: 3px;
}

.mt-10px {
    margin-top: 10px;
}

.mt-6px {
    margin-top: 6px;
}

.mt-7px {
    margin-top: 6px;
}

.mt-8px {
    margin-top: 8px;
}

.mt-13px {
    margin-top: 13px;
}

.mt-14px {
    margin-top: 14px;
}

.mt-15px {
    margin-top: 15px;
}

.mt-18px {
    margin-top: 15px;
}

.mt-19px {
    margin-top: 15px;
}

.mt-22px {
    margin-top: 22px;
}

.mt-25px {
    margin-top: 25px;
}

.mt-26px {
    margin-top: 26px;
}

.mt-27px {
    margin-top: 27px;
}

.mt-28px {
    margin-top: 28px;
}

.mt-33px {
    margin-top: 33px;
}

.mt-37px {
    margin-top: 33px;
}

.mt-43px {
    margin-top: 43px;
}
.mt-56px {
    margin-top: 56px;
}

.mt-73px {
    margin-top: 73px;
}

.mt-64px {
    margin-top: 64px;
}

.mt-76px {
    margin-top: 76px;
}
.mt-100px {
    margin-top: 100px !important;
}
.mt-128px {
    margin-top: 128px;
}

.mb-8px {
    margin-bottom: 8px;
}

.pb-30px {
    padding-bottom: 30px;
}
.pb-16px {
    padding-bottom: 16px;
}
.w-full {
    width: 100%;
}

.ml-3 {
    margin-left: 12px;
}
.ml-15px{
    margin-left: 15px;
}
.ml-5px {
    margin-left: 5px;
}
.ml-20px {
    margin-left: 20px;
}
.ml-93px {
    margin-left: 93px;
}
.ml-96px {
    margin-left: 96px;
}
.w-80 {
    width: 80%;
}

.w-380px {
    width: 380px;
}

.w-450 {
    width: 450px;
}

.w-310 {
    width: 310px !important;
}

.bg-preview {
    background-color: #272727;
}

.bg-black {
    background-color: black;
}

.max-w-200 {
    max-width: 200px;
}

.max-w-850px {
    max-width: 850px;
}

.max-w-940px {
    max-width: 940px;
}

.relative {
    position: relative;
}

.flex {
    display: flex;
}
.flex-col {
    flex-direction: column;
}
.justify-between {
    justify-content: space-between;
}

.justify-center {
    justify-content: center;
}

.gap-x-25 {
    column-gap: 25px;
}

.gap-x-45 {
    column-gap: 45px;
}

.items-center {
    align-items: center;
}

.max-w-120px {
    max-width: 120px;
}

.font-700 {
    font-weight: 700;
}

.flex-grow {
    flex-grow: 1;
}

.h-34px {
    height: 34px !important;
}
.h-20px{
    height: 20px;
}
.h-18px{
    height : 18px ;
}
.cancel-btn {
    background-color: #cbcbcb !important;
}
/* Size */
.text-11px {
    font-size: 11px;
}
/* Dropdow */
.dropdown {
    position: relative;
    display: inline-block;
}

.dropdown-content {
    display: none;
    position: absolute;
    background-color: white;
    min-width: 80px;
    border: 1px solid #767676;
    box-shadow: 0px 8px 16px 0px rgba(0, 0, 0, 0.2);
    z-index: 1;
    top: 18px;
    left: -21px;
}

.dropdown-content::before {
    content: "";
    display: block;
    position: absolute;
    left: 0;
    right: 0;
    top: -9px;
    height: 10px;
    background: transparent;
}

.dropdown-content span {
    color: black;
    padding: 6px;
    text-decoration: none;
    display: block;
    font-size: 14px;
    font-weight: 500;
    background-color: white;
}

.dropdown-content span:hover {
    background-color: #1e90ff;
    box-shadow: 0px 4px 4px 0px #00000040;
    color: white;
}

.dropdown-submenu {
    position: relative;
}

.dropdown-submenu .submenu-content {
    display: none;
    position: absolute;
    left: 100%;
    top: 0;
    background-color: #f9f9f9;
    min-width: 96px;
    box-shadow: 0px 8px 16px 0px rgba(0, 0, 0, 0.2);
    z-index: 1;
    left: 82px;
    top: 0px;
}

.submenu-content::before {
    content: "";
    display: block;
    position: absolute;
    left: -5px;
    top: 0px;
    height: 22px;
    width: 8px;
    background: transparent;
}

.dropdown-submenu:hover .submenu-content {
    display: block;
}
.dropdown-submenu .submenu-content-custom {
    display: none;
    position: absolute;
    left: 100%;
    top: 0;
    background-color: #f9f9f9;
    min-width: 96px;
    box-shadow: 0px 8px 16px 0px rgba(0, 0, 0, 0.2);
    z-index: 1;
    left: -111px;
    top: 0px;
}
.dropdown-submenu:hover .submenu-content-custom {
    display: block;
}
.submenu-content-custom::after {
    content: "";
    display: block;
    position: absolute;
    right: -5px;
    top: 0px;
    height: 22px;
    width: 8px;
    background: transparent;
}

/* Pagination */
.pagination-container a {
    background-color: #fff !important;
}

.pagination-container-active {
    background-color: #2f80ed !important;
    color: white !important;
}

.disable-pagination {
    opacity: 0.6 !important;
}
/* padding left */
.pl-1 {
    padding-left: 4px;
}

.px-3 {
    padding-left: 12px;
    padding-right: 12px;
}
.pl-50px {
    padding-left: 50px;
}
.pr-50px {
    padding-right: 50px;
}

/* height */
.h-30px {
    height: 30px;
}

.h-53px {
    height: 53px !important;
}

.h-110px {
    height: 110px !important;
}

.h-140px {
    height: 140px !important;
}
.h-unset {
    height: unset !important;
}

/* width */
.w-1-2 {
    width: 50%;
}
.w-490px {
    width: 490px !important;
}
.max-w-350px {
    max-width: 350px;
}
.w-62px {
    width: 62px;
}
.w-175 {
    width: 175px !important;
}

.w-100px {
    width: 106px !important;
}

.w-130px {
    width: 130px !important;
}

/* Text */
.text-red-500 {
    color: #e01111 !important;
}

.font-bold {
    font-weight: bold;
}

/* Loading screen */
.overlay-loading {
    position: fixed;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.3);
    z-index: 9999;
    display: none;
}

.loader {
    position: absolute;
    top: 50%;
    left: 50%;
    text-align: center;
    height: 300px;
    color: #fff;
    transform: translate(-50%, -50%);
    z-index: 9999;
    width: 3.5em;
    display: none;
}

.loader-image {
    width: 3.75em;
    transform-origin: center;
    animation: rotate 2s linear infinite;
}

circle {
    fill: none;
    stroke: #2c58a0;
    stroke-width: 3;
    stroke-dasharray: 1, 200;
    stroke-dashoffset: 0;
    stroke-linecap: round;
    animation: dash 1.5s ease-in-out infinite;
}

.highlight-row {
    background-color: #feffcc;
}

.open-eye {
    display: none;
}

@keyframes rotate {
    100% {
        transform: rotate(360deg);
    }
}

@keyframes dash {
    0% {
        stroke-dasharray: 1, 200;
        stroke-dashoffset: 0;
    }

    50% {
        stroke-dasharray: 90, 200;
        stroke-dashoffset: -35px;
    }

    100% {
        stroke-dashoffset: -125px;
    }
}

.border-error {
    border: 1px solid #ec4a47 !important;
}

.text-error {
    font-size: 12px;
    font-weight: 400;
    color: #ec4a47;
    margin-top: 6px;
}

.hidden {
    display: none !important;
}

.opacity-calendar {
    opacity: 0 !important;
    width: 0 !important;
    height: 0 !important;
    position: relative;
    top: -7px;
}

.border-checkbox-error {
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    width: 20px;
    height: 20px;
    border: 1px solid red !important;
    border-radius: 3px;
    outline: none;
    cursor: pointer;
    position: relative;
}

.toast-success {
    background-color: #eefbf6 !important;
    border: 1px solid #c0f8e3;
}

.toast-title {
    display: flex;
    justify-content: space-between;
    gap: 16px;
}

/** STYLE FOR TOAST SUCCESSFULLY **/
.toast-title p {
    flex-grow: 1;
    font-family: "Noto Sans JP";
    font-size: 20px;
    font-weight: 500;
    line-height: 28px;
    letter-spacing: 0em;
    text-align: left;
    margin-bottom: 0;
}

.toast-content {
    margin-top: 8px;
    font-family: "Noto Sans JP";
    font-size: 16px;
    font-weight: 400;
    line-height: 24px;
    letter-spacing: 0em;
    text-align: left;
}

.toast-content-success {
    margin-left: 34px;
}

.toast-content-error {
    margin-left: 42px;
}

.toast-content p {
    margin-bottom: 0;
}
.active-btn-link {
    color: #0a58ca;
    background-color: #242424;
    box-shadow: 0 4px 4px rgba(255, 255, 255, 0.25);
}
.w-fit{
    width: fit-content;
}
.h-fit{
    height: fit-content;
}
.top-1px{
    top: -1px;
}
.top-2px{
    top: -2px;
}
#preview-suggestion{
    word-break: break-all;
}
.preview-note-more p{
    word-break: break-all;
    padding-left: 10px;
    padding-right: 10px;
}
.preview-note-more h3{
    font-weight: 900;
    font-size: 14px;
    line-height: 20px;
    color: #000000;
    padding-left: 4px;
    border-left: 5px solid #ceaa5b;
    word-break: break-word;
}
/** END STYLE FOR TOAST SUCCESSFULLY **/
